io.flutter.embedding.engine.mutatorsstack

## Class FlutterMutatorsStack.FlutterMutator

- java.lang.Object
- - io.flutter.embedding.engine.mutatorsstack.FlutterMutatorsStack.FlutterMutator

- Enclosing class:
    FlutterMutatorsStack

      public class FlutterMutatorsStack.FlutterMutator
      extends Object

  A class represents a mutator

  A mutator contains information of a single mutation operation that can be applied to a `PlatformView`. See `io.flutter.embedding.engine.mutatorsstack.Mutator` for informations on Mutators.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlutterMutator(Matrix matrix)` Initialize a transform mutator.
    `FlutterMutator(Path path)` Initialize a clip path mutator.
    `FlutterMutator(Rect rect)` Initialize a clip rect mutator.
    `FlutterMutator(Rect rect, float[] radiis)` Initialize a clip rrect mutator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Matrix` | `getMatrix()` Get the matrix of the mutator if the `getType()` returns FlutterMutatorType.TRANSFORM.
    `Path` | `getPath()` Get the path of the mutator if the `getType()` returns FlutterMutatorType.CLIP_PATH.
    `Rect` | `getRect()` Get the rect of the mutator if the `getType()` returns FlutterMutatorType.CLIP_RECT.
    `FlutterMutatorsStack.FlutterMutatorType` | `getType()` Get the mutator type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlutterMutator

          public FlutterMutator(Rect rect)

      Initialize a clip rect mutator.
      Parameters:
        `rect` - the rect to be clipped.

    - #### FlutterMutator

          public FlutterMutator(Rect rect,
                                float[] radiis)

      Initialize a clip rrect mutator.
      Parameters:
        `rect` - the rect of the rrect
        `radiis` - the radiis of the rrect. Array of 8 values, 4 pairs of [X,Y]. This value cannot be null.

    - #### FlutterMutator

          public FlutterMutator(Path path)

      Initialize a clip path mutator.
      Parameters:
        `rect` - the path to be clipped.

    - #### FlutterMutator

          public FlutterMutator(Matrix matrix)

      Initialize a transform mutator.
      Parameters:
        `matrix` - the transform matrix to apply.

  - ### Method Detail

    - #### getType

          public FlutterMutatorsStack.FlutterMutatorType getType()

      Get the mutator type.
      Returns:
        The type of the mutator.

    - #### getRect

          public Rect getRect()

      Get the rect of the mutator if the `getType()` returns FlutterMutatorType.CLIP_RECT.
      Returns:
        the clipping rect if the type is FlutterMutatorType.CLIP_RECT; otherwise null.

    - #### getPath

          public Path getPath()

      Get the path of the mutator if the `getType()` returns FlutterMutatorType.CLIP_PATH.
      Returns:
        the clipping path if the type is FlutterMutatorType.CLIP_PATH; otherwise null.

    - #### getMatrix

          public Matrix getMatrix()

      Get the matrix of the mutator if the `getType()` returns FlutterMutatorType.TRANSFORM.
      Returns:
        the matrix if the type is FlutterMutatorType.TRANSFORM; otherwise null.